Name: ORBit2
Version: 2.6.0
Release: alt1

Summary: A high-performance CORBA Object Request Broker
Group: System/Libraries
License: LGPL/GPL
Url: http://orbit-resource.sf.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2
Patch: %name-2.4.3-alt-test_makefile.patch
Patch1: %name-2.3.109-pld-am15.patch
Patch2: %name-2.3.110-pld-am16.patch

%define linc_ver 1.0.0
%define libidl_ver 0.8.0
%define glib_ver 2.2.0

Requires: lib%name = %version-%release

# Automatically added by buildreq on Tue Jan 14 2003
BuildRequires: glib2-devel glibc-devel-static indent libIDL-devel liblinc-devel libpopt-devel libssl-devel pkgconfig

BuildRequires: liblinc-devel >= %linc_ver
BuildRequires: libIDL-devel >= %libidl_ver
BuildRequires: glib2-devel >= %glib_ver

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

You will need to install this package and ORBit-devel if you want to
write programs that use CORBA technology.

%package -n lib%name
Summary: Shared libraries, header files and utilities for ORBit
Group: System/Libraries

%description -n lib%name
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

This package contains the shared libraries required for ORBit
and components using it to function.

%package devel
Summary: Development libraries, header files and utilities for ORBit
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: glib2-devel >= %glib_ver
Requires: indent
Requires: liblinc-devel >= %linc_ver
Requires: libIDL-devel >= %libidl_ver

%description devel
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker) with support for the C
language.

This package contains the header files, libraries and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBit2 package.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoconf
%__automake -a -c -f
%configure

# SMP-incompatible build
%make
%make check

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/orbit-idl-2
%_bindir/typelib-dump
%_libdir/*/*.so.*
%_datadir/idl/*
%doc AUTHORS ChangeLog HACKING MAINTAINERS NEWS README TODO

%files -n lib%name
%_libdir/*.so.*

%files devel
%_bindir/orbit2-config
%_bindir/ior-decode-2
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_libdir/*/*.so
%_libdir/*/*.la
%_libdir/*/*.a
%_libdir/pkgconfig/*
%_includedir/*
%_datadir/aclocal/*

%changelog
* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Dec 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Sat Oct 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.3-alt1
- 2.4.3
- Updated Buldrequires

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed May 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.3.110-alt1
- 2.3.110
- Adopted for Sisyphus.
- lib%name package.
- %name-2.3.109-ld.patch
- %name-am15.patch (PLD Team)

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 2.3.108

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 2.3.107

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 2.3.105

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.3.103
- Rebuild for dependencies

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- build system somehow built against libglib-1.3.so.11
  even though pkg-config found 1.3.12? wtf?
  trying again

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 2.3.100.90 snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 2.3.99

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- new snap 2.3.97.90, rebuild for glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new snap, glib 1.3.10 rebuild

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- check rebuild against new linc with headers moved
- remove epoch, that was a screwup

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- cvs snap
- require specific glib2

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- 2.3.95 tarball
- depend on new standalone libIDL, remove all libIDL stuff from file list

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- require specific linc version, unrequire specific glib version since
  we get that via linc

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- newer orbit2 from CVS

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- conflict with old orbit with headers not moved

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- renaming more things
- remove smp flags, doesn't work atm
- fix .pc file, trying to get bonobo-activation to build

* Tue Sep 11 2001 Havoc Pennington <hp@redhat.com>
- kill all file conflicts with ORBit1

* Mon Sep 10 2001 Havoc Pennington <hp@redhat.com>
- convert to ORBit2 spec file (from ORBit original)
